Simple multimedia streams analyzer
usage: ffprobe [OPTIONS] [INPUT_FILE]

Main options:
-L                  show license
-h topic            show help
-? topic            show help
-help topic         show help
--help topic        show help
-version            show version
-buildconf          show build configuration
-formats            show available formats
-devices            show available devices
-codecs             show available codecs
-decoders           show available decoders
-encoders           show available encoders
-bsfs               show available bit stream filters
-protocols          show available protocols
-filters            show available filters
-pix_fmts           show available pixel formats
-layouts            show standard channel layouts
-sample_fmts        show available audio sample formats
-colors             show available color names
-loglevel loglevel  set logging level
-v loglevel         set logging level
-report             generate a report
-max_alloc bytes    set maximum size of a single allocated block
-cpuflags flags     force specific cpu flags
-hide_banner hide_banner  do not show program banner
-sources device     list sources of the input device
-sinks device       list sinks of the output device
-f format           force format
-unit               show unit of the displayed values
-prefix             use SI prefixes for the displayed values
-byte_binary_prefix  use binary prefixes for byte units
-sexagesimal        use sexagesimal format HOURS:MM:SS.MICROSECONDS for time units
-pretty             prettify the format of displayed values, make it more human readable
-print_format format  set the output printing format (available formats are: default, compact, csv, flat, ini, json, xml)
-of format          alias for -print_format
-select_streams stream_specifier  select the specified streams
-sections           print sections structure and section information, and exit
-show_data          show packets data
-show_data_hash     show packets data hash
-show_error         show probing error
-show_format        show format/container info
-show_frames        show frames info
-show_format_entry entry  show a particular entry from the format/container info
-show_entries entry_list  show a set of specified entries
-show_packets       show packets info
-show_programs      show programs info
-show_streams       show streams info
-show_chapters      show chapters info
-count_frames       count the number of frames per stream
-count_packets      count the number of packets per stream
-show_program_version  show ffprobe version
-show_library_versions  show library versions
-show_versions      show program and library versions
-show_pixel_formats  show pixel format descriptions
-show_private_data  show private data
-private            same as show_private_data
-bitexact           force bitexact output
-read_intervals read_intervals  set read intervals
-default            generic catch all option
-i input_file       read specified file


AVFormatContext AVOptions:
  -avioflags         <flags>      ED...... (default 0)
     direct                       ED...... reduce buffering
  -probesize         <int64>      .D...... set probing size (from 32 to I64_MAX) (default 5e+006)
  -formatprobesize   <int>        .D...... number of bytes to probe file format (from 0 to 2.14748e+009) (default 1.04858e+006)
  -fflags            <flags>      ED...... (default 200)
     ignidx                       .D...... ignore index
     genpts                       .D...... generate pts
     nofillin                     .D...... do not fill in missing values that can be exactly calculated
     noparse                      .D...... disable AVParsers, this needs nofillin too
     igndts                       .D...... ignore dts
     discardcorrupt               .D...... discard corrupted frames
     sortdts                      .D...... try to interleave outputted packets by dts
     keepside                     .D...... don't merge side data
     nobuffer                     .D...... reduce the latency introduced by optional buffering
  -seek2any          <int>        .D...... allow seeking to non-keyframes on demuxer level when supported (from 0 to 1) (default 0)
  -analyzeduration   <int64>      .D...... specify how many microseconds are analyzed to probe the input (from 0 to I64_MAX) (default 0)
  -cryptokey         <binary>     .D...... decryption key
  -indexmem          <int>        .D...... max memory used for timestamp index (per stream) (from 0 to INT_MAX) (default 1.04858e+006)
  -rtbufsize         <int>        .D...... max memory used for buffering real-time frames (from 0 to INT_MAX) (default 3.04128e+006)
  -fdebug            <flags>      ED...... print specific debug info (default 0)
     ts                           ED......
  -max_delay         <int>        ED...... maximum muxing or demuxing delay in microseconds (from -1 to INT_MAX) (default -1)
  -fpsprobesize      <int>        .D...... number of frames used to probe fps (from -1 to 2.14748e+009) (default -1)
  -f_err_detect      <flags>      .D...... set error detection flags (deprecated; use err_detect, save via avconv) (default 1)
     crccheck                     .D...... verify embedded CRCs
     bitstream                    .D...... detect bitstream specification deviations
     buffer                       .D...... detect improper bitstream length
     explode                      .D...... abort decoding on minor error detection
     ignore_err                   .D...... ignore errors
     careful                      .D...... consider things that violate the spec, are fast to check and have not been seen in the wild as errors
     compliant                    .D...... consider all spec non compliancies as errors
     aggressive                   .D...... consider things that a sane encoder shouldn't do as an error
  -err_detect        <flags>      .D...... set error detection flags (default 1)
     crccheck                     .D...... verify embedded CRCs
     bitstream                    .D...... detect bitstream specification deviations
     buffer                       .D...... detect improper bitstream length
     explode                      .D...... abort decoding on minor error detection
     ignore_err                   .D...... ignore errors
     careful                      .D...... consider things that violate the spec, are fast to check and have not been seen in the wild as errors
     compliant                    .D...... consider all spec non compliancies as errors
     aggressive                   .D...... consider things that a sane encoder shouldn't do as an error
  -use_wallclock_as_timestamps <int>        .D...... use wallclock as timestamps (from 0 to 2.14748e+009) (default 0)
  -skip_initial_bytes <int64>      .D...... set number of bytes to skip before reading header and frames (from 0 to I64_MAX) (default 0)
  -correct_ts_overflow <int>        .D...... correct single timestamp overflows (from 0 to 1) (default 1)
  -f_strict          <int>        ED...... how strictly to follow the standards (deprecated; use strict, save via avconv) (from INT_MIN to INT_MAX) (default 0)
     strict                       ED...... strictly conform to all the things in the spec no matter what the consequences
     normal                       ED......
     unofficial                   ED...... allow unofficial extensions
     experimental                 ED...... allow non-standardized experimental variants
  -strict            <int>        ED...... how strictly to follow the standards (from INT_MIN to INT_MAX) (default 0)
     strict                       ED...... strictly conform to all the things in the spec no matter what the consequences
     normal                       ED......
     unofficial                   ED...... allow unofficial extensions
     experimental                 ED...... allow non-standardized experimental variants
  -max_ts_probe      <int>        .D...... maximum number of packets to read while waiting for the first timestamp (from 0 to INT_MAX) (default 50)
  -dump_separator    <string>     ED...... set information dump field separator (default ", ")
  -codec_whitelist   <string>     .D...... List of decoders that are allowed to be used
  -format_whitelist  <string>     .D...... List of demuxers that are allowed to be used

AVIOContext AVOptions:

URLContext AVOptions:

bluray AVOptions:
  -playlist          <int>        .D......  (from -1 to 99999) (default -1)
  -angle             <int>        .D......  (from 0 to 254) (default 0)
  -chapter           <int>        .D......  (from 1 to 65534) (default 1)

Cache AVOptions:
  -read_ahead_limit  <int>        .D...... Amount in bytes that may be read ahead when seeking isnt supported, -1 for unlimited (from -1 to INT_MAX) (default 65536)

crypto AVOptions:
  -key               <binary>     ED...... AES encryption/decryption key
  -iv                <binary>     ED...... AES encryption/decryption initialization vector
  -decryption_key    <binary>     .D...... AES decryption key
  -decryption_iv     <binary>     .D...... AES decryption initialization vector

file AVOptions:

ftp AVOptions:
  -timeout           <int>        ED...... set timeout of socket I/O operations (from -1 to INT_MAX) (default -1)
  -ftp-anonymous-password <string>     ED...... password for anonymous login. E-mail address should be used.

http AVOptions:
  -seekable          <int>        .D...... control seekability of connection (from -1 to 1) (default -1)
  -headers           <string>     ED...... set custom HTTP headers, can override built in default headers
  -content_type      <string>     ED...... set a specific content type for the POST messages
  -user_agent        <string>     .D...... override User-Agent header (default "Lavf/56.23.106")
  -user-agent        <string>     .D...... override User-Agent header (default "Lavf/56.23.106")
  -multiple_requests <int>        ED...... use persistent connections (from 0 to 1) (default 0)
  -post_data         <binary>     ED...... set custom HTTP post data
  -cookies           <string>     .D...... set cookies to be sent in applicable future requests, use newline delimited Set-Cookie HTTP field value syntax
  -icy               <int>        .D...... request ICY metadata (from 0 to 1) (default 1)
  -auth_type         <int>        ED...... HTTP authentication type (from 0 to 1) (default 0)
     none                         ED...... No auth method set, autodetect
     basic                        ED...... HTTP basic authentication
  -location          <string>     ED...... The actual location of the data received
  -offset            <int64>      .D...... initial byte offset (from 0 to I64_MAX) (default 0)
  -end_offset        <int64>      .D...... try to limit the request to bytes preceding this offset (from 0 to I64_MAX) (default 0)

https AVOptions:
  -seekable          <int>        .D...... control seekability of connection (from -1 to 1) (default -1)
  -headers           <string>     ED...... set custom HTTP headers, can override built in default headers
  -content_type      <string>     ED...... set a specific content type for the POST messages
  -user_agent        <string>     .D...... override User-Agent header (default "Lavf/56.23.106")
  -user-agent        <string>     .D...... override User-Agent header (default "Lavf/56.23.106")
  -multiple_requests <int>        ED...... use persistent connections (from 0 to 1) (default 0)
  -post_data         <binary>     ED...... set custom HTTP post data
  -cookies           <string>     .D...... set cookies to be sent in applicable future requests, use newline delimited Set-Cookie HTTP field value syntax
  -icy               <int>        .D...... request ICY metadata (from 0 to 1) (default 1)
  -auth_type         <int>        ED...... HTTP authentication type (from 0 to 1) (default 0)
     none                         ED...... No auth method set, autodetect
     basic                        ED...... HTTP basic authentication
  -location          <string>     ED...... The actual location of the data received
  -offset            <int64>      .D...... initial byte offset (from 0 to I64_MAX) (default 0)
  -end_offset        <int64>      .D...... try to limit the request to bytes preceding this offset (from 0 to I64_MAX) (default 0)

icecast AVOptions:

pipe AVOptions:

srtp AVOptions:
  -srtp_in_suite     <string>     .D...... 
  -srtp_in_params    <string>     .D...... 

subfile AVOptions:
  -start             <int64>      .D...... start offset (from 0 to I64_MAX) (default 0)
  -end               <int64>      .D...... end offset (from 0 to I64_MAX) (default 0)

tcp AVOptions:
  -listen            <int>        ED...... Listen for incoming connections (from 0 to 1) (default 0)
  -timeout           <int>        ED...... set timeout (in microseconds) of socket I/O operations (from -1 to INT_MAX) (default -1)
  -listen_timeout    <int>        ED...... Connection awaiting timeout (in milliseconds) (from -1 to INT_MAX) (default -1)

tls AVOptions:
  -ca_file           <string>     ED...... Certificate Authority database file
  -cafile            <string>     ED...... Certificate Authority database file
  -tls_verify        <int>        ED...... Verify the peer certificate (from 0 to 1) (default 0)
  -cert_file         <string>     ED...... Certificate file
  -key_file          <string>     ED...... Private key file
  -listen            <int>        ED...... Listen for incoming connections (from 0 to 1) (default 0)

udp AVOptions:
  -buffer_size       <int>        ED...... set packet buffer size in bytes (from 0 to INT_MAX) (default 0)
  -localport         <int>        ED...... set local port to bind to (from 0 to INT_MAX) (default 0)
  -localaddr         <string>     ED...... choose local IP address (default "")
  -udplite_coverage  <int>        ED...... choose UDPLite head size which should be validated by checksum (from 0 to INT_MAX) (default 0)
  -pkt_size          <int>        ED...... set size of UDP packets (from 0 to INT_MAX) (default 1472)
  -reuse             <int>        ED...... explicitly allow or disallow reusing UDP sockets (from 0 to 1) (default 0)
  -connect           <int>        ED...... set if connect() should be called on socket (from 0 to 1) (default 0)
  -fifo_size         <int>        .D...... set the UDP receiving circular buffer size, expressed as a number of packets with size of 188 bytes (from 0 to INT_MAX) (default 28672)
  -overrun_nonfatal  <int>        .D...... survive in case of UDP receiving circular buffer overrun (from 0 to 1) (default 0)
  -timeout           <int>        .D...... set raise error timeout (only in read mode) (from 0 to INT_MAX) (default 0)

udplite AVOptions:
  -buffer_size       <int>        ED...... set packet buffer size in bytes (from 0 to INT_MAX) (default 0)
  -localport         <int>        ED...... set local port to bind to (from 0 to INT_MAX) (default 0)
  -localaddr         <string>     ED...... choose local IP address (default "")
  -udplite_coverage  <int>        ED...... choose UDPLite head size which should be validated by checksum (from 0 to INT_MAX) (default 0)
  -pkt_size          <int>        ED...... set size of UDP packets (from 0 to INT_MAX) (default 1472)
  -reuse             <int>        ED...... explicitly allow or disallow reusing UDP sockets (from 0 to 1) (default 0)
  -connect           <int>        ED...... set if connect() should be called on socket (from 0 to 1) (default 0)
  -fifo_size         <int>        .D...... set the UDP receiving circular buffer size, expressed as a number of packets with size of 188 bytes (from 0 to INT_MAX) (default 28672)
  -overrun_nonfatal  <int>        .D...... survive in case of UDP receiving circular buffer overrun (from 0 to 1) (default 0)
  -timeout           <int>        .D...... set raise error timeout (only in read mode) (from 0 to INT_MAX) (default 0)

librtmp protocol AVOptions:
  -rtmp_app          <string>     ED...... Name of application to connect to on the RTMP server
  -rtmp_buffer       <string>     ED...... Set buffer time in milliseconds. The default is 3000. (default "3000")
  -rtmp_conn         <string>     ED...... Append arbitrary AMF data to the Connect message
  -rtmp_flashver     <string>     ED...... Version of the Flash plugin used to run the SWF player.
  -rtmp_live         <int>        .D...... Specify that the media is a live stream. (from INT_MIN to INT_MAX) (default 0)
     any                          .D...... both
     live                         .D...... live stream
     recorded                     .D...... recorded stream
  -rtmp_pageurl      <string>     .D...... URL of the web page in which the media was embedded. By default no value will be sent.
  -rtmp_playpath     <string>     ED...... Stream identifier to play or to publish
  -rtmp_subscribe    <string>     .D...... Name of live stream to subscribe to. Defaults to rtmp_playpath.
  -rtmp_swfurl       <string>     ED...... URL of the SWF player. By default no value will be sent
  -rtmp_swfverify    <string>     .D...... URL to player swf file, compute hash/size automatically. (unimplemented)
  -rtmp_tcurl        <string>     ED...... URL of the target stream. Defaults to proto://host[:port]/app.
  -rtmp_buffer_size  <int>        ED...... set buffer size in bytes (from -1 to INT_MAX) (default -1)

librtmpe protocol AVOptions:
  -rtmp_app          <string>     ED...... Name of application to connect to on the RTMP server
  -rtmp_buffer       <string>     ED...... Set buffer time in milliseconds. The default is 3000. (default "3000")
  -rtmp_conn         <string>     ED...... Append arbitrary AMF data to the Connect message
  -rtmp_flashver     <string>     ED...... Version of the Flash plugin used to run the SWF player.
  -rtmp_live         <int>        .D...... Specify that the media is a live stream. (from INT_MIN to INT_MAX) (default 0)
     any                          .D...... both
     live                         .D...... live stream
     recorded                     .D...... recorded stream
  -rtmp_pageurl      <string>     .D...... URL of the web page in which the media was embedded. By default no value will be sent.
  -rtmp_playpath     <string>     ED...... Stream identifier to play or to publish
  -rtmp_subscribe    <string>     .D...... Name of live stream to subscribe to. Defaults to rtmp_playpath.
  -rtmp_swfurl       <string>     ED...... URL of the SWF player. By default no value will be sent
  -rtmp_swfverify    <string>     .D...... URL to player swf file, compute hash/size automatically. (unimplemented)
  -rtmp_tcurl        <string>     ED...... URL of the target stream. Defaults to proto://host[:port]/app.
  -rtmp_buffer_size  <int>        ED...... set buffer size in bytes (from -1 to INT_MAX) (default -1)

librtmps protocol AVOptions:
  -rtmp_app          <string>     ED...... Name of application to connect to on the RTMP server
  -rtmp_buffer       <string>     ED...... Set buffer time in milliseconds. The default is 3000. (default "3000")
  -rtmp_conn         <string>     ED...... Append arbitrary AMF data to the Connect message
  -rtmp_flashver     <string>     ED...... Version of the Flash plugin used to run the SWF player.
  -rtmp_live         <int>        .D...... Specify that the media is a live stream. (from INT_MIN to INT_MAX) (default 0)
     any                          .D...... both
     live                         .D...... live stream
     recorded                     .D...... recorded stream
  -rtmp_pageurl      <string>     .D...... URL of the web page in which the media was embedded. By default no value will be sent.
  -rtmp_playpath     <string>     ED...... Stream identifier to play or to publish
  -rtmp_subscribe    <string>     .D...... Name of live stream to subscribe to. Defaults to rtmp_playpath.
  -rtmp_swfurl       <string>     ED...... URL of the SWF player. By default no value will be sent
  -rtmp_swfverify    <string>     .D...... URL to player swf file, compute hash/size automatically. (unimplemented)
  -rtmp_tcurl        <string>     ED...... URL of the target stream. Defaults to proto://host[:port]/app.
  -rtmp_buffer_size  <int>        ED...... set buffer size in bytes (from -1 to INT_MAX) (default -1)

librtmpt protocol AVOptions:
  -rtmp_app          <string>     ED...... Name of application to connect to on the RTMP server
  -rtmp_buffer       <string>     ED...... Set buffer time in milliseconds. The default is 3000. (default "3000")
  -rtmp_conn         <string>     ED...... Append arbitrary AMF data to the Connect message
  -rtmp_flashver     <string>     ED...... Version of the Flash plugin used to run the SWF player.
  -rtmp_live         <int>        .D...... Specify that the media is a live stream. (from INT_MIN to INT_MAX) (default 0)
     any                          .D...... both
     live                         .D...... live stream
     recorded                     .D...... recorded stream
  -rtmp_pageurl      <string>     .D...... URL of the web page in which the media was embedded. By default no value will be sent.
  -rtmp_playpath     <string>     ED...... Stream identifier to play or to publish
  -rtmp_subscribe    <string>     .D...... Name of live stream to subscribe to. Defaults to rtmp_playpath.
  -rtmp_swfurl       <string>     ED...... URL of the SWF player. By default no value will be sent
  -rtmp_swfverify    <string>     .D...... URL to player swf file, compute hash/size automatically. (unimplemented)
  -rtmp_tcurl        <string>     ED...... URL of the target stream. Defaults to proto://host[:port]/app.
  -rtmp_buffer_size  <int>        ED...... set buffer size in bytes (from -1 to INT_MAX) (default -1)

librtmpte protocol AVOptions:
  -rtmp_app          <string>     ED...... Name of application to connect to on the RTMP server
  -rtmp_buffer       <string>     ED...... Set buffer time in milliseconds. The default is 3000. (default "3000")
  -rtmp_conn         <string>     ED...... Append arbitrary AMF data to the Connect message
  -rtmp_flashver     <string>     ED...... Version of the Flash plugin used to run the SWF player.
  -rtmp_live         <int>        .D...... Specify that the media is a live stream. (from INT_MIN to INT_MAX) (default 0)
     any                          .D...... both
     live                         .D...... live stream
     recorded                     .D...... recorded stream
  -rtmp_pageurl      <string>     .D...... URL of the web page in which the media was embedded. By default no value will be sent.
  -rtmp_playpath     <string>     ED...... Stream identifier to play or to publish
  -rtmp_subscribe    <string>     .D...... Name of live stream to subscribe to. Defaults to rtmp_playpath.
  -rtmp_swfurl       <string>     ED...... URL of the SWF player. By default no value will be sent
  -rtmp_swfverify    <string>     .D...... URL to player swf file, compute hash/size automatically. (unimplemented)
  -rtmp_tcurl        <string>     ED...... URL of the target stream. Defaults to proto://host[:port]/app.
  -rtmp_buffer_size  <int>        ED...... set buffer size in bytes (from -1 to INT_MAX) (default -1)

Artworx Data Format demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

APNG demuxer AVOptions:
  -ignore_loop       <int>        .D...... ignore loop setting (from 0 to 1) (default 1)
  -max_fps           <int>        .D...... maximum framerate (0 is no limit) (from 0 to INT_MAX) (default 15)
  -default_fps       <int>        .D...... default framerate (0 is as fast as possible) (from 0 to INT_MAX) (default 15)

aqtdec AVOptions:
  -subfps            <rational>   .D...S.. set the movie frame rate (from 0 to INT_MAX) (default 25/1)

asf demuxer AVOptions:
  -no_resync_search  <int>        .D...... Don't try to resynchronize by looking for a certain optional start code (from 0 to 1) (default 0)

avi AVOptions:
  -use_odml          <int>        .D...... use odml index (from -1 to 1) (default 1)

Binary text demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

cavsvideo demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

CDXL demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 1 to INT_MAX) (default 11025)
  -framerate         <string>     .D...... 

concat demuxer AVOptions:
  -safe              <int>        .D...... enable safe mode (from -1 to 1) (default -1)
  -auto_convert      <int>        .D...... automatically convert bitstream format (from 0 to 1) (default 0)

dirac demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

dnxhd demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

dvbsub demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

flvdec AVOptions:
  -flv_metadata      <int>        .D.V.... Allocate streams according to the onMetaData array (from 0 to 1) (default 0)

live_flvdec AVOptions:
  -flv_metadata      <int>        .D.V.... Allocate streams according to the onMetaData array (from 0 to 1) (default 0)

g729 demuxer AVOptions:
  -bit_rate          <int>        .D......  (from 0 to INT_MAX) (default 0)

GIF demuxer AVOptions:
  -min_delay         <int>        .D...... minimum valid delay between frames (in hundredths of second) (from 0 to 6000) (default 2)
  -default_delay     <int>        .D...... default delay between frames (in hundredths of second) (from 0 to 6000) (default 10)
  -ignore_loop       <int>        .D...... ignore loop setting (netscape extension) (from 0 to 1) (default 1)

gsm demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 1 to 6.50753e+007) (default 8000)

h261 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

h263 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

h264 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

hevc demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

iCE Draw File demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

image2 demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

image2pipe demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

alias_pix demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

brender_pix demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

ingenient demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

m4v demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

microdvddec AVOptions:
  -subfps            <rational>   .D...S.. set the movie frame rate fallback (from 0 to INT_MAX) (default 0/1)

mjpeg demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

mov,mp4,m4a,3gp,3g2,mj2 AVOptions:
  -use_absolute_path <int>        .D.V.... allow using absolute path when opening alias, this is a possible security issue (from 0 to 1) (default 0)
  -ignore_editlist   <int>        .D.V....  (from 0 to 1) (default 0)
  -use_mfra_for      <int>        .D.V.... use mfra for fragment timestamps (from -1 to 2) (default -1)
     auto                         .D.V.... auto
     dts                          .D.V.... dts
     pts                          .D.V.... pts
  -export_all        <int>        .D.V.... Export unrecognized metadata entries (from 0 to 1) (default 0)
  -export_xmp        <int>        .D.V.... Export full XMP metadata (from 0 to 1) (default 0)

mp3 AVOptions:
  -usetoc            <int>        .D...... use table of contents (from -1 to 1) (default -1)

mpegts demuxer AVOptions:
  -resync_size       <int>        .D...... Size limit for looking up a new synchronization. (from 0 to INT_MAX) (default 65536)
  -fix_teletext_pts  <int>        .D...... Try to fix pts values of dvb teletext streams. (from 0 to 1) (default 1)
  -ts_packetsize     <int>        .D....XR Output option carrying the raw packet size. (from 0 to 0) (default 0)
  -scan_all_pmts     <int>        .D...... Scan and combine all PMTs (from -1 to 1) (default -1)

mpegtsraw demuxer AVOptions:
  -resync_size       <int>        .D...... Size limit for looking up a new synchronization. (from 0 to INT_MAX) (default 65536)
  -compute_pcr       <int>        .D...... Compute exact PCR for each transport stream packet. (from 0 to 1) (default 0)
  -ts_packetsize     <int>        .D....XR Output option carrying the raw packet size. (from 0 to 0) (default 0)

mpegvideo demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

alaw demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

mulaw demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f64be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f64le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f32be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f32le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s32be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s32le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s24be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s24le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s16be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s16le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s8 demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u32be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u32le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u24be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u24le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u16be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u16le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u8 demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

rawvideo demuxer AVOptions:
  -video_size        <image_size> .D...... set frame size
  -pixel_format      <string>     .D...... set pixel format (default "yuv420p")
  -framerate         <video_rate> .D...... set frame rate (default "25")

RTP demuxer AVOptions:
  -rtp_flags         <flags>      .D...... set RTP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)

RTSP demuxer AVOptions:
  -initial_pause     <int>        .D...... do not start playing the stream immediately (from 0 to 1) (default 0)
  -rtsp_transport    <flags>      ED...... set RTSP transport protocols (default 0)
     udp                          ED...... UDP
     tcp                          ED...... TCP
     udp_multicast                .D...... UDP multicast
     http                         .D...... HTTP tunneling
  -rtsp_flags        <flags>      .D...... set RTSP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
     listen                       .D...... wait for incoming connections
     prefer_tcp                   ED...... try RTP via TCP first, if available
  -allowed_media_types <flags>      .D...... set media types to accept from the server (default F)
     video                        .D...... Video
     audio                        .D...... Audio
     data                         .D...... Data
     subtitle                     .D...... Subtitle
  -min_port          <int>        ED...... set minimum local UDP port (from 0 to 65535) (default 5000)
  -max_port          <int>        ED...... set maximum local UDP port (from 0 to 65535) (default 65000)
  -timeout           <int>        .D...... set maximum timeout (in seconds) to wait for incoming connections (-1 is infinite, imply flag listen) (from INT_MIN to INT_MAX) (default -1)
  -stimeout          <int>        .D...... set timeout (in microseconds) of socket TCP I/O operations (from INT_MIN to INT_MAX) (default 0)
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)
  -user-agent        <string>     .D...... override User-Agent header (default "Lavf56.23.106")

sbg_demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 0)
  -frame_size        <int>        .D......  (from 0 to INT_MAX) (default 0)
  -max_file_size     <int>        .D......  (from 0 to INT_MAX) (default 5e+006)

SDP demuxer AVOptions:
  -sdp_flags         <flags>      .D...... SDP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
     custom_io                    .D...... use custom I/O
     rtcp_to_source               .D...... send RTCP packets to the source address of received packets
  -allowed_media_types <flags>      .D...... set media types to accept from the server (default F)
     video                        .D...... Video
     audio                        .D...... Audio
     data                         .D...... Data
     subtitle                     .D...... Subtitle
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)

sln demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 8000)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

tedcaptions_demuxer AVOptions:
  -start_time        <int64>      .D...S.. set the start time (offset) of the subtitles, in ms (from I64_MIN to I64_MAX) (default 15000)

TTY demuxer AVOptions:
  -chars_per_frame   <int>        .D......  (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... A string describing frame size, such as 640x480 or hd720.
  -framerate         <video_rate> .D......  (default "25")

vc1 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

WAV demuxer AVOptions:
  -ignore_length     <int>        .D...... Ignore length (from 0 to 1) (default 0)

WebVTT demuxer AVOptions:

eXtended BINary text (XBIN) demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

bmp demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

dpx demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

exr demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

j2k demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

jpeg demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

jpegls demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

pictor demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

png demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

sgi demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

sunrast demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

tiff demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

webp demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from INT_MIN to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

Game Music Emu demuxer AVOptions:
  -track_index       <int>        .D..A... set track that should be played (from 0 to INT_MAX) (default 0)
  -sample_rate       <int>        .D..A... set sample rate (from 1000 to 999999) (default 44100)
  -max_size          <int64>      .D..A... set max file size supported (in bytes) (from 0 to UINT32_MAX) (default 5.24288e+007)

ModPlug demuxer AVOptions:
  -noise_reduction   <int>        .D...... Enable noise reduction 0(off)-1(on) (from 0 to 1) (default 0)
  -reverb_depth      <int>        .D...... Reverb level 0(quiet)-100(loud) (from 0 to 100) (default 0)
  -reverb_delay      <int>        .D...... Reverb delay in ms, usually 40-200ms (from 0 to INT_MAX) (default 0)
  -bass_amount       <int>        .D...... XBass level 0(quiet)-100(loud) (from 0 to 100) (default 0)
  -bass_range        <int>        .D...... XBass cutoff in Hz 10-100 (from 0 to 100) (default 0)
  -surround_depth    <int>        .D...... Surround level 0(quiet)-100(heavy) (from 0 to 100) (default 0)
  -surround_delay    <int>        .D...... Surround delay in ms, usually 5-40ms (from 0 to INT_MAX) (default 0)
  -max_size          <int>        .D...... Max file size supported (in bytes). Default is 5MB. Set to 0 for no limit (not recommended) (from 0 to 1.04858e+008) (default 5.24288e+006)
  -video_stream_expr <string>     .D...... Color formula
  -video_stream      <int>        .D...... Make demuxer output a video stream (from 0 to 1) (default 0)
  -video_stream_w    <int>        .D...... Video stream width in char (one char = 8x8px) (from 20 to 512) (default 30)
  -video_stream_h    <int>        .D...... Video stream height in char (one char = 8x8px) (from 20 to 512) (default 30)
  -video_stream_ptxt <int>        .D...... Print speed, tempo, order, ... in video stream (from 0 to 1) (default 1)

Blackmagic DeckLink demuxer AVOptions:
  -list_devices      <int>        .D...... list available devices (from 0 to 1) (default 0)
  -list_formats      <int>        .D...... list supported formats (from 0 to 1) (default 0)
  -bm_v210           <int>        .D...... v210 10 bit per channel (from 0 to 1) (default 0)

dshow indev AVOptions:
  -video_size        <image_size> .D...... set video size given a string such as 640x480 or hd720.
  -pixel_format      <pix_fmt>    .D...... set video pixel format (default none)
  -framerate         <string>     .D...... set video frame rate
  -sample_rate       <int>        .D...... set audio sample rate (from 0 to INT_MAX) (default 0)
  -sample_size       <int>        .D...... set audio sample size (from 0 to 16) (default 0)
  -channels          <int>        .D...... set number of audio channels, such as 1 or 2 (from 0 to INT_MAX) (default 0)
  -audio_buffer_size <int>        .D...... set audio device buffer latency size in milliseconds (default is the device's default) (from 0 to INT_MAX) (default 0)
  -list_devices      <int>        .D...... list available devices (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -list_options      <int>        .D...... list available options for specified device (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -video_device_number <int>        .D...... set video device number for devices with same name (starts at 0) (from 0 to INT_MAX) (default 0)
  -audio_device_number <int>        .D...... set audio device number for devices with same name (starts at 0) (from 0 to INT_MAX) (default 0)
  -crossbar_video_input_pin_number <int>        .D...... set video input pin number for crossbar device (from -1 to INT_MAX) (default -1)
  -crossbar_audio_input_pin_number <int>        .D...... set audio input pin number for crossbar device (from -1 to INT_MAX) (default -1)
  -show_video_device_dialog <int>        .D...... display property dialog for video capture device (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -show_audio_device_dialog <int>        .D...... display property dialog for audio capture device (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -show_video_crossbar_connection_dialog <int>        .D...... display property dialog for crossbar connecting pins filter on video device (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -show_audio_crossbar_connection_dialog <int>        .D...... display property dialog for crossbar connecting pins filter on audio device (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -show_analog_tv_tuner_dialog <int>        .D...... display property dialog for analog tuner filter (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -show_analog_tv_tuner_audio_dialog <int>        .D...... display property dialog for analog tuner audio filter (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 

GDIgrab indev AVOptions:
  -draw_mouse        <int>        .D...... draw the mouse pointer (from 0 to 1) (default 1)
  -show_region       <int>        .D...... draw border around capture area (from 0 to 1) (default 0)
  -framerate         <video_rate> .D...... set video frame rate (default "ntsc")
  -video_size        <image_size> .D...... set video frame size
  -offset_x          <int>        .D...... capture area x offset (from INT_MIN to INT_MAX) (default 0)
  -offset_y          <int>        .D...... capture area y offset (from INT_MIN to INT_MAX) (default 0)

lavfi indev AVOptions:
  -graph             <string>     .D...... set libavfilter graph
  -graph_file        <string>     .D...... set libavfilter graph filename
  -dumpgraph         <string>     .D...... dump graph to stderr

VFW indev AVOptions:
  -video_size        <string>     .D...... A string describing frame size, such as 640x480 or hd720.
  -framerate         <string>     .D......  (default "ntsc")

ADTS muxer AVOptions:

AIFF muxer AVOptions:

ass muxer AVOptions:

AST muxer AVOptions:

dash muxer AVOptions:

f4v muxer AVOptions:

flac muxer AVOptions:

frame hash encoder class AVOptions:

GIF muxer AVOptions:

HDS muxer AVOptions:

hls muxer AVOptions:

image2 muxer AVOptions:

ipod muxer AVOptions:

ismv muxer AVOptions:

LATM/LOAS muxer AVOptions:

hash encoder class AVOptions:

matroska muxer AVOptions:

matroska audio muxer AVOptions:

mov muxer AVOptions:

MP3 muxer AVOptions:

mp4 muxer AVOptions:

mpeg muxer AVOptions:

vcd muxer AVOptions:

dvd muxer AVOptions:

svcd muxer AVOptions:

vob muxer AVOptions:

MPEGTS muxer AVOptions:

mpjpeg_muxer AVOptions:

MXF-D10 muxer AVOptions:

nutenc AVOptions:

Ogg audio muxer AVOptions:

Ogg muxer AVOptions:

Ogg Opus muxer AVOptions:

psp muxer AVOptions:

RTP muxer AVOptions:

RTSP muxer AVOptions:
  -initial_pause     <int>        .D...... do not start playing the stream immediately (from 0 to 1) (default 0)
  -rtsp_transport    <flags>      ED...... set RTSP transport protocols (default 0)
     udp                          ED...... UDP
     tcp                          ED...... TCP
     udp_multicast                .D...... UDP multicast
     http                         .D...... HTTP tunneling
  -rtsp_flags        <flags>      .D...... set RTSP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
     listen                       .D...... wait for incoming connections
     prefer_tcp                   ED...... try RTP via TCP first, if available
  -allowed_media_types <flags>      .D...... set media types to accept from the server (default F)
     video                        .D...... Video
     audio                        .D...... Audio
     data                         .D...... Data
     subtitle                     .D...... Subtitle
  -min_port          <int>        ED...... set minimum local UDP port (from 0 to 65535) (default 5000)
  -max_port          <int>        ED...... set maximum local UDP port (from 0 to 65535) (default 65000)
  -timeout           <int>        .D...... set maximum timeout (in seconds) to wait for incoming connections (-1 is infinite, imply flag listen) (from INT_MIN to INT_MAX) (default -1)
  -stimeout          <int>        .D...... set timeout (in microseconds) of socket TCP I/O operations (from INT_MIN to INT_MAX) (default 0)
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)
  -user-agent        <string>     .D...... override User-Agent header (default "Lavf56.23.106")

segment muxer AVOptions:

stream_segment muxer AVOptions:

smooth streaming muxer AVOptions:

Ogg Speex muxer AVOptions:

spdif AVOptions:

tg2 muxer AVOptions:

tgp muxer AVOptions:

WAV muxer AVOptions:

webm muxer AVOptions:

WebM DASH Manifest muxer AVOptions:

WebP muxer AVOptions:

caca_outdev AVOptions:

Blackmagic DeckLink muxer AVOptions:

sdl outdev AVOptions:

